Summary: glibc plugin for local system host name resolution
Name: nss-myhostname
Version: 0.2
Release: 4%{?dist}
License: LGPLv2+
URL: http://0pointer.de/lennart/projects/nss-myhostname/
Group: System Environment/Libraries
Source: http://0pointer.de/lennart/projects/nss-myhostname/nss-myhostname-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: /sbin/ldconfig /bin/sh /bin/sed 

%description
nss-myhostname is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing host name
resolution for the locally configured system hostname as returned by
gethostname(2). A lot of software relies on that the local host name
is resolvable via DNS to an IPv4 or IPv6 address. When using dynamic
hostnames this is usually achieved by patching /etc/hosts which
however is suboptimal since it requires a writable /etc file system
and is fragile because the file might also be edited by the
administrator. nss-myhostname simply returns the IPv4 address
127.0.0.2 (wich is on the local loopback) and the IPv6 address ::1
(which is the local host) for whatever system hostname is configured
locally. Patching /etc/hostname is thus no longer necessary.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT//usr/share/doc/nss-myhostname

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
# sed-fu to add myhostname to the hosts line of /etc/nsswitch.conf
if [ -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                /\<myhostname\>/ b
                s/[[:blank:]]*$/ myhostname/
                ' /etc/nsswitch.conf
fi

%preun
# sed-fu to remove myhostname from the hosts line of /etc/nsswitch.conf
if [ "$1" -eq 0 -a -f /etc/nsswitch.conf ] ; then
        sed -i.bak -e '
                /^hosts:/ !b
                s/[[:blank:]]\+myhostname\>//
                ' /etc/nsswitch.conf
fi

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%doc LICENSE
/%{_lib}/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 19 2009 - Lennart Poettering <lpoetter@redhat.com> - 0.2-2
- Add missing dependencies

* Mon Oct 27 2008 - Lennart Poettering <lpoetter@redhat.com> - 0.2-1
- Initial packaging
